Bug 17506 - integer overflow during text install
integer overflow during text install
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-09-14 11:49 EDT by Jay Berkenbilt
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-09-29 12:45:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jay Berkenbilt 2000-09-14 11:49:46 EDT
During text install, when choosing components, select "Everything" and
"Select Inidividual Components".  You get an integer overflow, presumably
during the calculation of the total disk space requirement (a feature which
I'm very pleased to see once again in the text install!)  Quite remarkable
that a full install adds up to over 2^31-1 bytes....

I am pasting the contents of anacdump.txt into this description field.

Traceback (innermost last):
  File "/usr/bin/anaconda", line 426, in ?
    intf.run(todo, test = test)
  File "/var/tmp/anaconda-7.0//usr/lib/anaconda/text.py", line 1022, in run
    rc = apply (step[1](), step[2])
  File "/var/tmp/anaconda-7.0//usr/lib/anaconda/textw/packages_text.py",
line 218, in __call__
    self.total = self.total + self.groupSize[key]
OverflowError: integer addition

Local variables in innermost frame:
ct: <snack.CheckboxTree instance at 8cc0a98>
origSelection: ([(comp Base, (1, 0)), (comp Printer Support, (0, 2)), (comp
X Window System, (1, 1)), (comp GNOME, (1, 0)), (comp KDE, (0, 0)), (comp
Mail/WWW/News Tools, (1, 0)), (comp DOS/Windows Connectivity, (0, 0)),
(comp Graphics Manipulation, (0, 0)), (comp Games, (0, 0)), (comp
Multimedia Support, (1, 0)), (comp Laptop Support, (0, 0)), (comp Networked
Workstation, (1, 1)), (comp Dialup Workstation, (1, 0)), (comp Network
Server, (0, 0)), (comp News Server, (0, 0)), (comp NFS Server, (0, 0)),
(comp SMB (Samba) Server, (0, 0)), (comp IPX/Netware(tm) Connectivity, (0,
0)), (comp Anonymous FTP Server, (0, 0)), (comp Web Server, (0, 0)), (comp
DNS Name Server, (0, 0)), (comp Postgres (SQL) Server, (0, 0)), (comp
Network Management Workstation, (0, 0)), (comp Authoring/Publishing, (0,
0)), (comp Emacs, (0, 0)), (comp Development, (0, 0)), (comp Kernel
Development, (0, 0)), (comp Utilities, (0, 0)), (comp Workstation Common,
(0, 0)), (comp GNOME Workstation, (0, 0)), (comp KDE Workstation, (0, 0)),
(comp Server, (0, 0)), (comp Everything, (1, 0))], [(nasm, (0, 1)), (sash,
(0, 1)), (cpp, (0, 1)), (time, (0, 1)), (ghostscript-fonts, (0, 1)),
(printtool, (0, 1)), (XFree86-ISO8859-2-75dpi-fonts, (0, 1)), (rhclib, (0,
1)), (e2fsprogs, (0, 1)), (gcc-objc, (0, 1)), (slrn-pull, (0, 1)),
(diffutils, (0, 1)), (tetex-afm, (0, 1)), (XFree86-FBDev, (0, 1)),
(mkkickstart, (0, 1)), (smpeg-devel, (0, 1)), (isdn-config, (0, 1)),
(slang, (0, 1)), (man-pages-it, (0, 1)), (readline, (0, 1)), (ncompress,
(0, 1)), (xbill, (0, 1)), (libtool, (0, 1)), (anacron, (0, 1)),
(gnome-linuxconf, (0, 1)), (rwho, (0, 1)), (Xconfigurator, (0, 1)),
(modemtool, (0, 1)), (rep-gtk-gnome, (0, 1)), (stat, (0, 1)),
(gimp-data-extras, (0, 1)), (gdk-pixbuf, (0, 1)), (plugger, (0, 1)),
(esound-devel, (0, 1)), (xlispstat, (0, 1)), (tin, (0, 1)),
(cdparanoia-devel, (0, 1)), (ext2ed, (0, 1)), (gettext, (0, 1)), (nc, (0,
1)), (gnuplot, (0, 1)), (postgresql-tk, (0, 1)), (tix, (0, 1)), (uucp, (0,
1)), (kdevelop, (0, 1)), (XFree86-ISO8859-9-100dpi-fonts, (0, 1)),
(samba-common, (0, 1)), (rwall, (0, 1)), (file, (0, 1)), (at, (0, 1)),
(inn, (0, 1)), (compat-libstdc++, (0, 1)), (kde-i18n-Chinese-Big5, (0, 1)),
(mailx, (0, 1)), (arpwatch, (0, 1)), (ypserv, (0, 1)), (xinitrc, (0, 1)),
(autoconf, (0, 1)), (newt-devel, (0, 1)), (kde-i18n-Maori, (0, 1)), (lynx,
(0, 1)), (audiofile-devel, (0, 1)), (pilot-link, (0, 1)), (mgetty, (0, 1)),
(initscripts, (0, 1)), (libghttp, (0, 1)), (ircii, (0, 1)), (esound, (0,
1)), (mtr, (0, 1)), (telnet, (0, 1)), (xcpustate, (0, 1)), (mtx, (0, 1)),
(kernel-headers, (0, 1)), (mkxauth, (0, 1)), (rp-pppoe, (0, 1)),
(XFree86-KOI8-R-75dpi-fonts, (0, 1)), (lm_sensors-devel, (0, 1)),
(nut-client, (0, 1)), (kde-i18n-Slovak, (0, 1)), (eject, (0, 1)),
(man-pages-cs, (0, 1)), (traceroute, (0, 1)), (glib, (0, 1)), (routed, (0,
1)), (tcpdump, (0, 1)), (groff, (0, 1)), (wmconfig, (0, 1)), (ctags, (0,
1)), (XFree86-8514, (0, 0)), (xmms-devel, (0, 1)), (emacs, (0, 1)),
(man-pages-ru, (0, 1)), (qt1x, (0, 1)), (rcs, (0, 1)), (xemacs-el, (0, 1)),
(aspell-devel, (0, 1)), (kdesupport, (0, 1)), (kde-i18n-Thai, (0, 1)),
(xpat2, (0, 1)), (sox, (0, 1)), (firewall-config, (0, 1)), (bind, (0, 1)),
(ppp, (0, 1)), (anaconda, (0, 1)), (aumix, (0, 1)), (libstdc++, (0, 1)),
(p2c-devel, (0, 1)), (SDL_image, (0, 1)), (libtiff, (0, 1)), (gphoto, (0,
1)), (mgetty-sendfax, (0, 1)), (sgml-common, (0, 1)), (qt-GL, (0, 1)),
(bzip2, (0, 1)), (dump-static, (0, 1)), (ghostscript, (0, 1)), (taper, (0,
1)), (glade, (0, 1)), (wu-ftpd, (0, 1)), (freetype-utils, (0, 1)),
(libjpeg-devel, (0, 1)), (postgresql, (0, 1)), (symlinks, (0, 1)),
(kde-i18n-Turkish, (0, 1)), (vim-enhanced, (0, 1)), (nmh, (0, 1)),
(MAKEDEV, (0, 1)), (postgresql-odbc, (0, 1)), (sawfish, (0, 1)),
(kde-i18n-Danish, (0, 1)), (gnome-games, (0, 1)), (fribidi-gtkbeta, (0,
1)), (rhcfile, (0, 1)), (dialog, (0, 1)), (timetool, (0, 1)),
(kde-i18n-Greek, (0, 1)), (bc, (0, 1)), (libtiff-devel, (0, 1)), (wvdial,
(0, 1)), (xpaint, (0, 1)), (libtermcap-devel, (0, 1)), (shadow-utils, (0,
1)), (automake, (0, 1)), (blt, (0, 1)), (XFree86, (0, 1)), (glibc, (0, 1)),
(yp-tools, (0, 1)), (rsync, (0, 1)), (sysklogd, (0, 1)), (XFree86-W32, (0,
0)), (pspell-devel, (0, 1)), (switchdesk-gnome, (0, 1)), (util-linux, (0,
1)), (vnc-doc, (0, 1)), (rxvt, (0, 1)), (libodbc++-devel, (0, 1)),
(postgresql-tcl, (0, 1)), (kde-i18n-Finnish, (0, 1)), (gcc-g77, (0, 1)),
(libpng-devel, (0, 1)), (man-pages, (0, 1)), (rusers-server, (0, 1)),
(compat-glibc, (0, 1)), (fvwm2-icons, (0, 1)), (xemacs, (0, 1)), (magicdev,
(0, 1)), (compat-egcs-objc, (0, 1)), (minicom, (0, 1)),
(kde-i18n-Icelandic, (0, 1)), (ytalk, (0, 1)), (kde-i18n-Romanian, (0, 1)),
(XFree86-ISO8859-7-75dpi-fonts, (0, 1)), (postgresql-devel, (0, 1)),
(libglade, (0, 1)), (adjtimex, (0, 1)), (gcc-chill, (0, 1)),
(XFree86-100dpi-fonts, (0, 1)), (sane-devel, (0, 1)), (gd-devel, (0, 1)),
(kdebase, (0, 1)), (mingetty, (0, 1)), (extace, (0, 1)), (kernel-utils, (0,
1)), (kdesupport-devel, (0, 1)), (isapnptools, (0, 1)), (postgresql-test,
(0, 1)), (joe, (0, 1)), (mod_perl, (0, 1)), (mtr-gtk, (0, 1)),
(libgtop-devel, (0, 1)), (gnome-pim, (0, 1)), (dev, (0, 1)), (w3c-libwww,
(0, 1)), (gmc, (0, 1)), (elm, (0, 1)), (libpcap, (0, 1)), (glib-gtkbeta,
(0, 1)), (xcdroast, (0, 1)), (samba, (0, 1)), (pygnome-capplet, (0, 1)),
(libungif, (0, 1)), (gdm, (0, 1)), (gnome-pim-devel, (0, 1)), (gated, (0,
1)), (gdb, (0, 1)), (lout-doc, (0, 1)), (nss_ldap, (0, 1)), (trojka, (0,
1)), (less, (0, 1)), (vim-common, (0, 1)), (unarj, (0, 1)), (nut-cgi, (0,
1)), (glib10, (0, 1)), (kde-i18n-Russian, (0, 1)), (kbdconfig, (0, 1)),
(gsl, (0, 1)), (gnome-objc-devel, (0, 1)), (SDL, (0, 1)), (filesystem, (0,
1)), (slrn, (0, 1)), (libghttp-devel, (0, 1)), (getty_ps, (0, 1)),
(gdk-pixbuf-devel, (0, 1)), (amanda-client, (0, 1)), (gqview, (0, 1)),
(libxml10, (0, 1)), (gpm, (0, 1)), (pmake, (0, 1)), (libgcj-devel, (0, 1)),
(gcc-java, (0, 1)), (rpm-python, (0, 1)), (openldap, (0, 1)), (efax, (0,
1)), (jadetex, (0, 1)), (sendmail-cf, (0, 1)), (gnome-print-devel, (0, 1)),
(xsysinfo, (0, 1)), (SDL_image-devel, (0, 1)), (lam, (0, 1)), (tksysv, (0,
1)), (kde-i18n-Korean, (0, 1)), (itcl, (0, 1)), (irda-utils, (0, 1)), (pam,
(0, 1)), (psgml, (0, 1)), (ipchains, (0, 1)), (units, (0, 1)), (joystick,
(0, 1)), (man-pages-pl, (0, 1)), (x3270, (0, 1)), (xemacs-info, (0, 1)),
(kdetoys, (0, 1)), (pax, (0, 1)), (whois, (0, 1)), (mpage, (0, 1)), (gimp,
(0, 1)), (ipxutils, (0, 1)), (switchdesk, (0, 1)), (texinfo, (0, 1)),
(chkconfig, (0, 1)), (kde-i18n-Brazil, (0, 1)), (libunicode-devel, (0, 1)),
(imlib-cfgeditor, (0, 1)), (tetex, (0, 1)), (im, (0, 1)), (libxml, (0, 1)),
(kdelibs-sound, (0, 1)), (pygtk-libglade, (0, 1)), (freetype-devel, (0,
1)), (kde-i18n-Ukrainian, (0, 1)), (squid, (0, 1)), (aspell-de, (0, 1)),
(playmidi-X11, (0, 1)), (cdecl, (0, 1)), (man-pages-da, (0, 1)),
(man-pages-de, (0, 1)), (procps, (0, 1)), (jikes, (0, 1)), (libgtop, (0,
1)), (pam_krb5, (0, 1)), (rpmlint, (0, 1)), (netpbm, (0, 1)),
(XFree86-VGA16, (0, 1)), (Inti, (0, 1)), (zlib, (0, 1)),
(kde-i18n-Esperanto, (0, 1)), (netpbm-progs, (0, 1)), (readline-devel, (0,
1)), (db3-devel, (0, 1)), (librep, (0, 1)), (mgetty-viewfax, (0, 1)),
(imap, (0, 1)), (utempter, (0, 1)), (chkfontpath, (0, 1)), (nasm-doc, (0,
1)), (aspell-da, (0, 1)), (nfs-utils, (0, 1)), (rsh-server, (0, 1)),
(ncurses, (0, 1)), (rpm2html, (0, 1)), (db2-devel, (0, 1)), (rp3, (0, 1)),
(kde-i18n-Breton, (0, 1)), (cracklib, (0, 1)), (ucd-snmp-utils, (0, 1)),
(fnlib-devel, (0, 1)), (aspell, (0, 1)), (XFree86-Mach32, (0, 0)),
(php-imap, (0, 1)), (abiword, (0, 1)), (pygnome-applet, (0, 1)), (ftpcopy,
(0, 1)), (sgml-tools, (0, 1)), (kde-i18n-Japanese, (0, 1)), (byacc, (0,
1)), (shapecfg, (0, 1)), (kernel-BOOT, (0, 0)), (rpm, (0, 1)), (sliplogin,
(0, 1)), (kde-i18n-German, (0, 1)), (trn, (0, 1)), (kernel-smp, (0, 0)),
(ElectricFence, (0, 1)), (octave, (0, 1)), (kde-i18n-Bulgarian, (0, 1)),
(xscreensaver, (0, 1)), (apmd, (0, 1)), (modutils, (0, 1)),
(XFree86-cyrillic-fonts, (0, 1)), (fnlib, (0, 1)), (binutils, (0, 1)),
(lsof, (0, 1)), (audiofile, (0, 1)), (tftp, (0, 1)), (XFree86-Mach8, (0,
0)), (docbook, (0, 1)), (lockdev, (0, 1)), (cdrecord, (0, 1)), (cxhextris,
(0, 1)), (sysstat, (0, 1)), (multimedia, (0, 1)), (aspell-sv, (0, 1)),
(XFree86-AGX, (0, 0)), (bug-buddy, (0, 1)), (tkinter, (0, 1)), (doxygen,
(0, 1)), (talk-server, (0, 1)), (XFree86-ISO8859-7-Type1-fonts, (0, 1)),
(xchat, (0, 1)), (newt, (0, 1)), (vim-minimal, (0, 1)), (pythonlib, (0,
1)), (gd-progs, (0, 1)), (WindowMaker, (0, 1)), (kde1-compat-devel, (0,
1)), (cyrus-sasl, (0, 1)), (screen, (0, 1)), (aspell-ca, (0, 1)), (p2c, (0,
1)), (qt, (0, 1)), (XFree86-KOI8-R, (0, 1)), (libunicode, (0, 1)),
(XFree86-KOI8-R-100dpi-fonts, (0, 1)), (kdenetwork, (0, 1)), (libpng, (0,
1)), (krbafs, (0, 1)), (finger, (0, 1)), (bash-doc, (0, 1)), (pump, (0,
1)), (inews, (0, 1)), (gtk+10, (0, 1)), (mgetty-voice, (0, 1)),
(redhat-release, (0, 1)), (kde-i18n-Portuguese, (0, 1)), (sawfish-themer,
(0, 1)), (pump-devel, (0, 1)), (libungif-progs, (0, 1)), (mount, (0, 1)),
(kde-i18n-French, (0, 1)), (tetex-dvilj, (0, 1)), (mailcap, (0, 1)),
(mtools, (0, 1)), (autologin-kde, (0, 1)), (netcfg, (0, 1)), (setserial,
(0, 1)), (sed, (0, 1)), (kernel-source, (0, 1)), (gftp, (0, 1)),
(XFree86-Xnest, (0, 1)), (XFree86-ISO8859-2, (0, 1)), (apache-manual, (0,
1)), (XFree86-ISO8859-7, (0, 1)), (nut, (0, 1)), (dump, (0, 1)),
(XFree86-ISO8859-9, (0, 1)), (desktop-backgrounds, (0, 1)), (kernel, (0,
1)), (rarpd, (0, 1)), (amanda, (0, 1)), (tetex-fonts, (0, 1)),
(kde-i18n-Tamil, (0, 1)), (netscape-navigator, (0, 1)), (net-tools, (0,
1)), (libglade-devel, (0, 1)), (bison, (0, 1)), (apache-devel, (0, 1)),
(krb5-libs, (0, 1)), (patch, (0, 1)), (tetex-dvips, (0, 1)), (aumix-X11,
(0, 1)), (xlockmore, (0, 1)), (gnuchess, (0, 1)), (fvwm2, (0, 1)),
(XFree86-Xvfb, (0, 1)), (gdbm-devel, (0, 1)), (db2, (0, 1)), (db3, (0, 1)),
(textutils, (0, 1)), (db1, (0, 1)), (kde-i18n-Catalan, (0, 1)), (pwdb, (0,
1)), (kernel-enterprise, (0, 1)), (pmake-customs, (0, 1)), (cpio, (0, 1)),
(pnm2ppa, (0, 1)), (info, (0, 1)), (tcl, (0, 1)), (iptables, (0, 1)),
(gcc-c++, (0, 1)), (XFree86-tools, (0, 1)), (sox-devel, (0, 1)), (ntp, (0,
1)), (kernel-ibcs, (0, 1)), (krb5-workstation, (0, 1)), (unixODBC-devel,
(0, 1)), (kdebase-3d-screensavers, (0, 1)), (termcap, (0, 1)), (pvm, (0,
1)), (finger-server, (0, 1)), (libgtop-examples, (0, 1)), (bdflush, (0,
1)), (xsane-gimp, (0, 1)), (db1-devel, (0, 1)), (XFree86-V4L, (0, 1)),
(tar, (0, 1)), (ImageMagick-devel, (0, 1)), (slang-j, (0, 1)), (popt, (0,
1)), (isicom, (0, 1)), (findutils, (0, 1)), (cdp, (0, 1)), (iproute, (0,
1)), (linuxconf-devel, (0, 1)), (gnome-core, (0, 1)), (wmakerconf, (0, 1)),
(xmailbox, (0, 1)), (tetex-xdvi, (0, 1)), (smpeg, (0, 1)), (mod_dav, (0,
1)), (anaconda-runtime, (0, 1)), (vlock, (0, 1)), (gnotepad+, (0, 1)),
(gnome-core-devel, (0, 1)), (strace, (0, 1)),(kdoc, (0, 1)),
(XFree86-Mach64, (0, 0)), (procinfo, (0, 1)), (autofs, (0, 1)),
(umb-scheme, (0, 1)), (kdeutils, (0, 1)), (XFree86-75dpi-fonts, (0, 1)),
(quota, (0, 1)), (kde-i18n-Norwegian-Nynorsk, (0, 1)), (php-ldap, (0, 1)),
(passwd, (0, 1)), (cracklib-dicts, (0, 1)), (wireless-tools, (0, 1)),
(locale_config, (0, 1)), (samba-client, (0, 1)), (xmorph, (0, 1)),
(procps-X11, (0, 1)), (which, (0, 1)), (linuxconf, (0, 1)), (vixie-cron,
(0, 1)), (xgammon, (0, 1)), (python-devel, (0, 1)), (lilo, (0, 1)), (rgrep,
(0, 1)), (xrn, (0, 1)), (genromfs, (0, 1)), (crontabs, (0, 1)),
(slang-devel, (0, 1)), (krbafs-utils, (0, 1)), (licq, (0, 1)), (ypbind, (0,
1)), (libxml-devel, (0, 1)), (kde-i18n-Spanish, (0, 1)), (gedit, (0, 1)),
(ORBit, (0, 1)), (xisdnload, (0, 1)), (kde-i18n-British, (0, 1)),
(gnome-games-devel, (0, 1)), (control-center, (0, 1)),
(fribidi-gtkbeta-devel, (0, 1)), (lm_sensors, (0, 1)), (libelf, (0, 1)),
(python-docs, (0, 1)), (zsh, (0, 1)), (Xaw3d-devel, (0, 1)), (emacs-el, (0,
1)), (kde-i18n-Italian, (0, 1)), (gnupg, (0, 1)), (rmt, (0, 1)), (LPRng,
(0, 1)), (isdn4k-utils, (0, 1)), (tree, (0, 1)), (mkbootdisk, (0, 1)),
(guile, (0, 1)), (grep, (0, 1)), (Xaw3d, (0, 1)), (postgresql-server, (0,
1)), (XFree86-P9000, (0, 0)), (hdparm, (0, 1)), (authconfig, (0, 1)),
(tetex-doc, (0, 1)), (lrzsz, (0, 1)), (autologin, (0, 1)), (setuptool, (0,
1)), (kdelibs-devel, (0, 1)), (aspell-pl, (0, 1)), (rsh, (0, 1)), (cproto,
(0, 1)), (SDL-devel, (0, 1)), (krb5-server, (0, 1)), (Mesa, (0, 1)),
(kde-i18n-Swedish, (0, 1)), (autorun, (0, 1)), (jed, (0, 1)), (guile-devel,
(0, 1)), (urw-fonts, (0, 1)), (urlview, (0, 1)), (groff-perl, (0, 1)),
(aspell-it, (0, 1)), (db3-utils, (0, 1)), (glibc-profile, (0, 1)),
(pidentd, (0, 1)), (aspell-no, (0, 1)), (aspell-nl, (0, 1)), (open, (0,
1)), (bootparamd, (0, 1)), (ORBit-devel, (0, 1)), (gnome-applets, (0, 1)),
(awesfx, (0, 1)), (compat-egcs, (0, 1)), (XFree86-S3, (0, 0)),
(kde-i18n-Dutch, (0, 1)), (ImageMagick, (0, 1)), (XFree86-devel, (0, 1)),
(imap-devel, (0, 1)), (tftp-server, (0, 1)), (mt-st, (0, 1)), (exmh, (0,
1)), (timed, (0, 1)), (Inti-devel, (0, 1)), (slocate, (0, 1)), (emacs-leim,
(0, 1)), (kdegraphics, (0, 1)), (xloadimage, (0, 1)), (openldap-devel, (0,
1)), (kde-i18n-Basque, (0, 1)), (lout, (0, 1)), (qt-devel, (0, 1)), (kaffe,
(0, 1)), (gnome-media, (0, 1)), (rootfiles, (0, 1)), (xbl, (0, 1)),
(XFree86-xdm, (0, 1)), (bash, (0, 1)), (usermode, (0, 1)), (ash, (0, 1)),
(XFree86-xfs, (0, 1)), (wget, (0, 1)), (rdate, (0, 1)), (pvm-gui, (0, 1)),
(gnumeric, (0, 1)), (dev86, (0, 1)), (procmail, (0, 1)),
(postgresql-python, (0, 1)), (vnc-server, (0, 1)), (sharutils, (0, 1)),
(gnome-audio-extra, (0, 1)), (sendmail, (0, 1)), (gtk+-gtkbeta, (0, 1)),
(aspell-en-gb, (0, 1)), (kdepim, (0, 1)), (openjade, (0, 1)), (dhcp, (0,
1)), (console-tools, (0, 1)), (librep-devel, (0, 1)),
(control-center-devel, (0, 1)), (gnome-users-guide, (0, 1)), (rwall-server,
(0, 1)), (freeciv, (0, 1)), (bzip2-devel, (0, 1)), (xdaliclock, (0, 1)),
(rpmdb-redhat, (0, 1)), (enscript, (0, 1)), (kde-i18n-Lithuanian, (0, 1)),
(ftp, (0, 1)), (gnome-kerberos, (0, 1)), (XFree86-3DLabs, (0, 0)), (libgcj,
(0, 1)), (syslinux, (0, 1)), (libodbc++-qt, (0, 1)), (expect, (0, 1)),
(gpm-devel, (0, 1)), (kde1-compat, (0, 1)), (ed, (0, 1)), (ee, (0, 1)),
(xpuzzles, (0, 1)), (aspell-cs, (0, 1)), (XFree86-doc, (0, 1)),
(kde-i18n-Czech, (0, 1)), (psmisc, (0, 1)), (pdksh, (0, 1)),
(e2fsprogs-devel, (0, 1)), (gnome-libs-devel, (0, 1)), (rep-gtk-libglade,
(0, 1)), (cleanfeed, (0, 1)), (libjpeg, (0, 1)), (kde-i18n-Slovenian, (0,
1)), (fetchmailconf, (0, 1)), (xtoolwait, (0, 1)), (krb5-devel, (0, 1)),
(php-manual, (0, 1)), (cvs, (0, 1)), (lockdev-devel, (0, 1)),
(kde-i18n-Macedonian, (0, 1)), (kgcc, (0, 1)), (kdemultimedia, (0, 1)),
(SysVinit, (0, 1)), (giftrans, (0, 1)), (kdegames, (0, 1)), (XFree86-libs,
(0, 1)), (sendmail-doc, (0, 1)), (python, (0, 1)), (redhat-logos, (0, 1)),
(am-utils, (0, 1)), (flex, (0, 1)), (XFree86-Mono, (0, 0)), (lslk, (0, 1)),
(netscape-communicator, (0, 1)), (cipe, (0, 1)), (kde-i18n-Afrikaans, (0,
1)), (mysql-server, (0, 1)), (XFree86-SVGA, (0, 0)), (libungif-devel, (0,
1)), (tmpwatch, (0, 1)), (xmms-gnome, (0, 1)), (anonftp, (0, 1)), (memprof,
(0, 1)), (parted-devel, (0, 1)), (vim-X11, (0, 1)), (transfig, (0, 1)),
(asp2php-gtk, (0, 1)), (man-pages-fr, (0, 1)), (mars-nwe, (0, 1)), (vnc,
(0, 1)), (qt-Xt, (0, 1)), (talk, (0, 1)), (xosview, (0, 1)), (ical, (0,
1)), (switchdesk-kde, (0, 1)), (pciutils, (0, 1)), (kde-i18n-Croatian, (0,
1)), (jed-xjed, (0, 1)), (xtrojka, (0, 1)), (gtop, (0, 1)), (playmidi, (0,
1)), (lha, (0, 1)), (w3c-libwww-devel, (0, 1)), (php-mysql, (0, 1)), (nscd,
(0, 1)), (zlib-devel, (0, 1)), (man, (0, 1)), (rhs-printfilters, (0, 1)),
(pspell, (0, 1)), (compat-egcs-g77, (0, 1)), (caching-nameserver, (0, 1)),
(stylesheets, (0, 1)), (nasm-rdoff, (0, 1)), (aspell-en-ca, (0, 1)),
(inn-devel, (0, 1)), (emacs-nox, (0, 1)), (gperf, (0, 1)), (tcsh, (0, 1)),
(sndconfig, (0, 1)), (autofs-ldap, (0, 1)), (auth_ldap, (0, 1)), (rep-gtk,
(0, 1)), (gtk-engines, (0, 1)), (dhcpcd, (0, 1)),
(XFree86-ISO8859-2-100dpi-fonts, (0, 1)), (pine, (0, 1)), (glib-devel, (0,
1)), (gcc, (0, 1)), (glibc-devel, (0, 1)), (kudzu-devel, (0, 1)), (rdist,
(0, 1)), (kde-i18n-Polish, (0, 1)), (gnome-libs, (0, 1)),
(kdelibs-sound-devel, (0, 1)), (locale-ja, (0, 1)), (logrotate, (0, 1)),
(ncurses4, (0, 1)), (kde-i18n-Serbian, (0, 1)), (imlib, (0, 1)),
(kde-i18n-Hungarian, (0, 1)), (sudo, (0, 1)), (pilot-link-devel, (0, 1)),
(tetex-latex, (0, 1)), (diffstat, (0, 1)), (links, (0, 1)), (xsri, (0, 1)),
(rhcfile-devel, (0, 1)), (emacs-X11, (0, 1)), (kde-i18n-Norwegian, (0, 1)),
(gawk, (0, 1)), (postgresql-jdbc, (0, 1)), (control-panel, (0, 1)),
(XFree86-ISO8859-9-75dpi-fonts, (0, 1)), (rusers, (0, 1)), (specspo, (0,
1)), (setup, (0, 1)), (pygnome, (0, 1)), (xxgdb, (0, 1)), (mc, (0, 1)),
(gnome-objc, (0, 1)), (rhclib-devel, (0, 1)), (XFree86-S3V, (0, 0)),
(xsane, (0, 1)), (python-tools, (0, 1)), (unixODBC, (0, 1)), (cdparanoia,
(0, 1)), (sysreport, (0, 1)), (pinfo, (0, 1)), (ntsysv, (0, 1)), (portmap,
(0, 1)), (statserial, (0, 1)), (mysql, (0, 1)), (telnet-server, (0, 1)),
(jed-common, (0, 1)), (w3c-libwww-apps, (0, 1)), (kde-i18n-Chinese, (0,
1)), (qt1x-devel, (0, 1)), (m4, (0, 1)), (perl, (0, 1)), (indent, (0, 1)),
(groff-gxditview, (0, 1)), (WindowMaker-libs, (0, 1)), (libstdc++-devel,
(0, 1)), (zip, (0, 1)), (gmp-devel, (0, 1)), (qt-NSPlugin, (0, 1)),
(kpppload, (0, 1)), (mysql-devel, (0, 1)), (pxe, (0, 1)), (aspell-fr, (0,
1)), (postgresql-perl, (0, 1)), (php, (0, 1)), (comsat, (0, 1)),
(man-pages-ja, (0, 1)), (fortune-mod, (0, 1)), (readline2.2.1, (0, 1)),
(kudzu, (0, 1)), (metamail, (0, 1)), (ltrace, (0, 1)), (mcserv, (0, 1)),
(Mesa-devel, (0, 1)), (mouseconfig, (0, 1)), (netpbm-devel, (0, 1)),
(pango-gtkbeta-devel, (0, 1)), (bind-utils, (0, 1)), (libPropList, (0, 1)),
(cdda2wav, (0, 1)), (ucd-snmp-devel, (0, 1)), (unixODBC-kde, (0, 1)),
(njamd, (0, 1)), (sysctlconfig, (0, 1)), (XFree86-twm, (0, 1)),
(kde-i18n-Hebrew, (0, 1)), (xpdf, (0, 1)), (sh-utils, (0, 1)),
(XFree86-xf86cfg, (0, 1)), (xboing, (0, 1)), (mawk, (0, 1)), (qt1x-GL, (0,
1)), (gimp-devel, (0, 1)), (apache, (0, 1)), (koffice, (0, 1)), (xinetd,
(0, 1)), (gnorpm, (0, 1)), (rpmfind, (0, 1)), (raidtools, (0, 1)),
(glib-gtkbeta-devel, (0, 1)), (pygtk, (0, 1)), (macutils, (0, 1)),
(XFree86-ISO8859-7-100dpi-fonts, (0, 1)), (up2date, (0, 1)), (kernel-doc,
(0, 1)), (ncurses-devel, (0, 1)), (mutt, (0, 1)), (kernel-pcmcia-cs, (0,
1)), (asp2php, (0, 1)), (kde-i18n-Walloon, (0, 1)), (SVGATextMode, (0, 1)),
(gzip, (0, 1)), (mkinitrd, (0, 1)), (kdeadmin, (0, 1)), (imlib-devel, (0,
1)), (compat-egcs-c++, (0, 1)), (ucd-snmp, (0, 1)), (mktemp, (0, 1)),
(tcp_wrappers, (0, 1)), (xjewel, (0, 1)), (libtermcap, (0, 1)), (losetup,
(0, 1)), (xmms, (0, 1)), (xboard, (0, 1)), (libodbc++, (0, 1)), (fetchmail,
(0, 1)), (make, (0, 1)), (dosfstools, (0, 1)), (autologin-gnome, (0, 1)),
(parted, (0, 1)), (gimp-perl, (0, 1)), (dip, (0, 1)), (gnome-utils, (0,
1)), (words, (0, 1)), (freetype, (0, 1)), (fbset, (0, 1)), (sane, (0, 1)),
(rhmask, (0, 1)), (dia, (0, 1)), (kernelcfg, (0, 1)), (rpm-build, (0, 1)),
(amanda-server, (0, 1)), (bind-devel, (0, 1)), (mod_php, (0, 1)),
(gnome-print, (0, 1)), (ncpfs, (0, 1)), (basesystem, (0, 1)), (ncftp, (0,
1)), (slang-j-devel, (0, 1)), (gnome-lokkit, (0, 1)), (gtk+, (0, 1)),
(kdelibs, (0, 1)), (man-pages-es, (0, 1)), (aspell-es, (0, 1)), (xfig, (0,
1)), (aspell-eo, (0, 1)), (mkisofs, (0, 1)), (glms, (0, 1)), (psacct, (0,
1)), (unzip, (0, 1)), (gmp, (0, 1)), (enlightenment, (0, 1)), (tcllib, (0,
1)), (tk, (0, 1)), (xpilot, (0, 1)), (rpm-devel, (0, 1)), (mpg123, (0, 1)),
(indexhtml, (0, 1)), (mikmod, (0, 1)), (usbview, (0, 1)), (gnome-audio, (0,
1)), (pygnome-libglade, (0, 1)), (netscape-common, (0, 1)), (XFree86-I128,
(0, 0)), (timeconfig,(0, 1)), (cdrecord-devel, (0, 1)), (gdbm, (0, 1)),
(libjpeg6a, (0, 1)), (fileutils, (0, 1)), (php-pgsql, (0, 1)),
(pciutils-devel, (0, 1)), (gd, (0, 1)), (gtk+-gtkbeta-devel, (0, 1)),
(tclx, (0, 1)), (XFree86-ISO8859-2-Type1-fonts, (0, 1)),
(kde-i18n-Estonian, (0, 1)), (iputils, (0, 1)), (gkermit, (0, 1)),
(libtool-libs, (0, 1)), (pango-gtkbeta, (0, 1)), (gv, (0, 1)), (gtk+-devel,
(0, 1))])
cmpHdrName: <function cmpHdrName at 8d2d760>
todo: <todo.ToDo instance at 8202f08>
self: <packages_text.IndividualPackageWindow instance at 8c49e50>
screen: <snack.SnackScreen instance at 826e2e0>
keys: ['Amusements/Games', 'Amusements/Graphics', 'Applications/Archiving',
'Applications/Communications', 'Applications/Databases',
'Applications/Editors', 'Applications/Engineering', 'Applications/File',
'Applications/Graphics', 'Applications/Internet',
'Applications/Multimedia', 'Applications/Productivity',
'Applications/Publishing', 'Applications/System', 'Applications/Text',
'Development/Debuggers', 'Development/Languages', 'Development/Libraries',
'Development/System', 'Development/Tools', 'Documentation', 'System
Environment/Base', 'System Environment/Daemons', 'System
Environment/Kernel', 'System Environment/Libraries', 'System
Environment/Shells', 'User Interface/Desktops', 'User Interface/X', 'User
Interface/X Hardware Support']
key: User Interface/X Hardware Support
group: Development/Libraries
individual: <text.Flag instance at 826fe30>
header: gtk+-devel

ToDo object:
(itodo
ToDo
p1
(dp2
S'method'
p3
(iimage
CdromInstallMethod
p4
(dp5
S'progressWindow'
p6
Comment 1 Michael Fulbright 2000-09-29 12:45:06 EDT
Pretty sure we fixed this before the 7.0 final release - please try that and
reopen if you continue to have this issue.

Note You need to log in before you can comment on or make changes to this bug.